JBoss API: Class LocalProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.local
Class LocalProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.local.LocalProxy

Direct Known Subclasses:
  LocalHomeProxy

public abstract class LocalProxy
extends java.lang.Object

Abstract superclass of local client-side proxies.

Author:
  Daniel OConnor (docodan@mvcsoft.com)

Field Summary
`protected static java.lang.Object[]` | `EMPTY_ARGS` An empty method parameter list.
`protected static java.lang.reflect.Method` | `EQUALS` `Object.equals(java.lang.Object)` method reference.
`protected static java.lang.reflect.Method` | `GET_EJB_HOME` `EJBObject#getEJBHome` method reference.
`protected static java.lang.reflect.Method` | `GET_PRIMARY_KEY` `EJBObject#getPrimaryKey` method reference.
`protected static java.lang.reflect.Method` | `HASH_CODE` `Object.hashCode()` method reference.
`protected static java.lang.reflect.Method` | `IS_IDENTICAL` `EJBObject#isIdentical` method reference.
`protected static java.lang.reflect.Method` | `TO_STRING` `Object.toString()` method reference.

Constructor Summary
`LocalProxy()`

Method Summary
`protected abstract java.lang.Object` | `getId()`
`protected abstract java.lang.String` | `getJndiName()`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARGS

    protected static final java.lang.Object[] EMPTY_ARGS

  An empty method parameter list.

### TO_STRING

    protected static final java.lang.reflect.Method TO_STRING

  `Object.toString()` method reference.

### HASH_CODE

    protected static final java.lang.reflect.Method HASH_CODE

  `Object.hashCode()` method reference.

### EQUALS

    protected static final java.lang.reflect.Method EQUALS

  `Object.equals(java.lang.Object)` method reference.

### GET_PRIMARY_KEY

    protected static final java.lang.reflect.Method GET_PRIMARY_KEY

  `EJBObject#getPrimaryKey` method reference.

### GET_EJB_HOME

    protected static final java.lang.reflect.Method GET_EJB_HOME

  `EJBObject#getEJBHome` method reference.

### IS_IDENTICAL

    protected static final java.lang.reflect.Method IS_IDENTICAL

  `EJBObject#isIdentical` method reference.

Constructor Detail

### LocalProxy

    public LocalProxy()

Method Detail

### getJndiName

    protected abstract java.lang.String getJndiName()

### getId

    protected abstract java.lang.Object getId()

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method m,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.